# (c) cavaliba.com


# ------------------------------------------------------
# Core Permissions
# ------------------------------------------------------

# conf

- classname: _permission
  keyname: p_conf_view
  description: "Built-in conf view permission"
  displayname: p_conf_view
  is_builtin: True

- classname: _permission
  keyname: p_conf_admin
  description: "Built-in conf admin permission"
  displayname: "p_conf_admin"
  is_builtin: True

# log    

- classname: _permission
  keyname: p_log_view
  is_builtin: True
  description: "Built-in LOG view permission"
  displayname: "p_log_view"

- classname: _permission
  keyname: p_log_admin
  is_builtin: True
  description: "Built-in LOG admin permission"
  displayname: p_log_admin

# home 
  
- classname: _permission
  keyname: p_home_access
  is_builtin: True
  description: "Built-in HOME app Access"
  displayname: "p_home_access"

- classname: _permission
  keyname: p_home_admin
  is_builtin: True
  description: "Built-in HOME dashboard admin"
  displayname: p_home_admin


# --------------------
# IAM Permissions
# --------------------


- classname: _permission
  keyname: p_iam_access
  is_builtin: True
  description: "Built-in IAM access"
  displayname: p_iam_access

- classname: _permission
  keyname: p_iam_impersonate
  is_builtin: True
  description: "Built-in IAM can impersonate other account"
  displayname: p_iam_impersonate

- classname: _permission
  keyname: p_iam_export
  is_builtin: True
  description: "Built-in IAM export permission"
  displayname: p_iam_export

  
# -- user

- classname: _permission
  keyname: p_user_pref
  is_builtin: True
  description: "Built-in USER.preferences permission"
  displayname: p_user_pref

- classname: _permission
  keyname: p_user_email_test
  is_builtin: True
  description: "Built-in USER.test_email permission"
  displayname: p_user_email_test

- classname: _permission
  keyname: p_user_sms_test
  is_builtin: True
  description: "Built-in USER.test_sms permission"
  displayname: p_user_sms_test

- classname: _permission
  keyname: p_user_debug
  is_builtin: True
  description: "Built-in USER.debug permission"
  displayname: p_user_debug

- classname: _permission
  keyname: p_user_read
  is_builtin: True
  description: "Built-in USER read permission"
  displayname: p_user_read

- classname: _permission
  keyname: p_user_create
  is_builtin: True
  description: "Built-in USER create permission"
  displayname: p_user_create

- classname: _permission
  keyname: p_user_update
  is_builtin: True
  description: "Built-in USER update permission"
  displayname: p_user_update

- classname: _permission
  keyname: p_user_delete
  is_builtin: True
  description: "Built-in USER delete permission"
  displayname: p_user_delete


  # -- group

- classname: _permission
  keyname: p_group_read
  is_builtin: True
  description: "Built-in GROUP read permission"
  displayname: "p_group_read"

- classname: _permission
  keyname: p_group_create
  is_builtin: True
  description: "Built-in GROUP create permission"
  displayname: "p_group_create"

- classname: _permission
  keyname: p_group_update
  is_builtin: True
  description: "Built-in GROUP update permission"
  displayname: "p_group_update"

- classname: _permission
  keyname: p_group_delete
  is_builtin: True
  description: "Built-in GROUP delete permission"
  displayname: "p_group_delete"
  

# -- role

- classname: _permission
  keyname: p_role_read
  is_builtin: True
  description: "Built-in IAM role read permission"
  displayname: p_role_read

- classname: _permission
  keyname: p_role_create
  is_builtin: True
  description: "Built-in IAM role create permission"
  displayname: p_role_create

- classname: _permission
  keyname: p_role_update
  is_builtin: True
  description: "Built-in IAM role update permission"
  displayname: p_role_update

- classname: _permission
  keyname: p_role_delete
  is_builtin: True
  description: "Built-in IAM role delete permission"
  displayname: p_role_delete
    

# -- permission

- classname: _permission
  keyname: p_permission_read
  is_builtin: True
  description: "Built-in IAM permission read permission"
  displayname: p_permission_read

- classname: _permission
  keyname: p_permission_create
  is_builtin: True
  description: "Built-in IAM permission create permission"
  displayname: p_permission_create

- classname: _permission
  keyname: p_permission_update
  is_builtin: True
  description: "Built-in IAM permission update permission"
  displayname: p_permission_update

- classname: _permission
  keyname: p_permission_delete
  is_builtin: True
  description: "Built-in IAM permission delete permission"
  displayname: p_permission_delete
    


# ---------------------
# Data PERMISSIONS
# ---------------------


# data access 

- classname: _permission
  keyname: p_data_access
  is_builtin: True
  description: "Built-in DATA dashboard access"
  displayname: "p_data_access"

# security

- classname: _permission
  keyname: p_data_security_view
  is_builtin: True
  description: "Built-in DATA Security VIEW permission"
  displayname: p_data_security_view

- classname: _permission
  keyname: p_data_security_edit
  is_builtin: True
  description: "Built-in DATA Security EDIT permission"
  displayname: p_data_security_edit
  

# schema

- classname: _permission
  keyname: p_schema_read
  is_builtin: True
  description: "Built-in SCHEMA read"
  displayname: "p_schema_read"

- classname: _permission
  keyname: p_schema_create
  is_builtin: True
  description: "Built-in SCHEMA create"
  displayname: "p_schema_create"

- classname: _permission
  keyname: p_schema_update
  is_builtin: True
  description: "Built-in SCHEMA update"
  displayname: "p_schema_update"

- classname: _permission
  keyname: p_schema_delete
  is_builtin: True
  description: "Built-in SCHEMA delete"
  displayname: "p_schema_delete"

# schema field

- classname: _permission
  keyname: p_schemafield_read
  is_builtin: True
  description: "Built-in SCHEMA FIELD read"
  displayname: p_schemafield_read

- classname: _permission
  keyname: p_schemafield_create
  is_builtin: True
  description: "Built-in SCHEMA FIELD create"
  displayname: p_schemafield_create

- classname: _permission
  keyname: p_schemafield_update
  is_builtin: True
  description: "Built-in SCHEMA FIELD update"
  displayname: p_schemafield_update

- classname: _permission
  keyname: p_schemafield_delete
  is_builtin: True
  description: "Built-in SCHEMA FIELD delete"
  displayname: p_schemafield_delete

# - classname: _permission
#   keyname: p_schema_import
#   is_builtin: True
#   description: "Built-in SCHEMA import"
#   displayname: "p_schema_import"

# - classname: _permission
#   keyname: p_schema_export
#   is_builtin: True
#   description: "Built-in SCHEMA export"
#   displayname: p_schema_export

  
# p_data_admin all data classes + not blockable

- classname: _permission
  keyname: p_data_admin
  is_builtin: True
  description: "Built-in DATA all permissions non-blocking"
  displayname: "p_data_admin"


# all data classes  ; blockable downward

- classname: _permission
  keyname: p_data_read
  is_builtin: True
  description: "Built-in DATA read all"
  displayname: "p_data_read"

- classname: _permission
  keyname: p_data_create
  is_builtin: True
  description: "Built-in DATA create all"
  displayname: "p_data_create"

- classname: _permission
  keyname: p_data_update
  is_builtin: True
  description: "Built-in DATA update all"
  displayname: "p_data_update"

- classname: _permission
  keyname: p_data_delete
  is_builtin: True
  description: "Built-in DATA delete all"
  displayname: "p_data_delete"

- classname: _permission
  keyname: p_data_import
  is_builtin: True
  description: "Built-in DATA import all"
  displayname: "p_data_import"

- classname: _permission
  keyname: p_data_export
  is_builtin: True
  description: "Built-in DATA export all"
  displayname: p_data_export

  
    
